﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BindingSample.Model
{
    internal class Customer : INotifyPropertyChanged
    {
        private string _name;
        private string _tel;

        public event PropertyChangedEventHandler? PropertyChanged;


        public Customer() : this("Name", "Tel")
        {
            
        }

        public Customer(string name, string tel)
        {
            _name = name;
            _tel = tel;
        }

        public string Name 
        { 
            get { return _name; }
            set
            {
                _name = value;
                OnPropertyChanged(nameof(Name));
            }
        }

        public string Tel
        {
            get { return _tel; }
            set
            {
                _tel = value;
                OnPropertyChanged(nameof(Tel));
            }
        }

        private void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
