﻿using ListBoxLinqBindingSample.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ListBoxLinqBindingSample.SubWindow
{
    /// <summary>
    /// SubWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class SubWindow : Window
    {
        public Delegate UpdateActor;

        public SubWindow()
        {
            InitializeComponent();
        }

        private void btnSave_Click(object sender, RoutedEventArgs e)
        {
            if (rbInside.IsChecked == false && rbOutside.IsChecked == false)
            {
                MessageBox.Show("Please select duty type.");
                return;
            }

            DutyType dutyType = rbInside.IsChecked == true ? DutyType.Inside : DutyType.Outside;
            MainWindow.Duties.Add(new Duty(tbxDutyName.Text, dutyType));
            UpdateActor.DynamicInvoke(dutyType);
        }
    }
}
