﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace MVVMButtonControl.Model
{
    internal class Buttons : INotifyPropertyChanged
    {
        private Brush _selectedColor = Brushes.Transparent;

        public string Name { get; set; }

        public Brush SelectedColor
        {
            get { return _selectedColor; }
            set
            {
                if (_selectedColor != value)
                    _selectedColor = value;

                OnPropertyChanged("SelectedColor");
            }
        }

        public event PropertyChangedEventHandler? PropertyChanged;


        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
